---
title: List workspace webhook subscriptions
description: List workspace webhook subscriptions
---
# List workspace webhook subscriptions

`GET https://api.releases.sh/v1/workspaces/{workspaceId}/webhooks`

**Auth:** Bearer token required.

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `enabled` | query | boolean | no | `true` for enabled subscriptions only, `false` for disabled only. |
| `workspaceId` | path | string | yes |  |

**Responses**

- `200` The workspace's webhook subscriptions and the caller's role
- `401` Sign-in required
- `404` Workspace not found (non-members get 404)

Full request and response schemas: [OpenAPI 3.1 spec](https://api.releases.sh/v1/openapi.json).
